Skip to main content
GET
/
api
/
users
/
me
Get current user.
curl --request GET \
  --url https://{tenant}/api/users/me \
  --header 'Authorization: Bearer <token>'
{
  "access_key": "d7ebef749e4348cb67fec3cfc81f0a50",
  "active": true,
  "api_model": {},
  "created_at": "2024-05-19T08:23:29.173+03:00",
  "email_address": "multi-org-user@example.org",
  "first_name": "Multi org",
  "group_id": "",
  "id": "363634393863643165326663643130303031383465636235",
  "last_login_date": "2024-05-19T08:45:09.53319+03:00",
  "last_name": "User",
  "org_id": "5e9d9544a1dcd60001d0ed20",
  "password_max_days": 0,
  "password_updated": "2024-05-19T08:23:29.281+03:00",
  "user_permissions": {
    "IsAdmin": "admin",
    "ResetPassword": "admin"
  }
}

Documentation Index

Fetch the complete documentation index at: https://tyk.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Tyk Dashboard API Access Credentials

Cookies

authorisation
string
required

authorisation session cookie

Response

OK

email_address
string
required
Example:

"multi-org-user@example.org"

first_name
string
required
Example:

"itachi"

last_name
string
required
Example:

"sasuke"

user_permissions
object
required
access_key
string
Example:

"d7ebef749e4348cb67fec3cfc81f0a50"

active
boolean
Example:

true

api_model
object
created_at
string<date-time>
Example:

"2024-05-19T08:23:29.034+03:00"

group_id
string
Example:

"5e9d9544a1dcd60001d0ed20"

id
string
Example:

"66498cd1e2fcd1000184ecb5"

last_login_date
string<date-time>
Example:

"2024-05-19T08:42:22.659839+03:00"

org_id
string
Example:

"5e9d9544a1dcd60001d0ed20"

password_max_days
integer
Example:

0

password_updated
string<date-time>
Example:

"2024-05-19T08:23:29.146+03:00"